Bug 801706 - should show exposed port number after expose-port via rhc client
should show exposed port number after expose-port via rhc client
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
1.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 03:36 EST by Meng Bo
Modified: 2013-11-17 19:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-19 14:23:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-03-09 03:36:50 EST
Description of problem:
when executing 'rhc-ctl-app -c expose-port' command, it only return success without any detail info.

Version-Release number of selected component (if applicable):
rhc-0.88.2-1.el6_2.noarch

How reproducible:
always

Steps to Reproduce:
1.create an app
#rhc app create -a testapp -t php-5.3
2.try to expose port of this app
#rhc-ctl-app -a testapp -c expose-port
3.
  
Actual results:
[bmeng@localhost ~]$ rhc-ctl-app -a test1 -c expose-port

RESULT:
Success


Expected results:
should contain the exposed port number in the output


Additional info:
Comment 1 Rob Millner 2012-03-12 14:17:57 EDT
The return values from expose and show-port are not being parsed by the API and setup behind the scenes as part of scaling.  These commands were exposed for testing and aren't needed any more.

commit c4b65c9 in li
commit 6742a5b in os_client_utils
Comment 2 Meng Bo 2012-03-13 01:04:08 EDT
checked on devenv_1659,
the expose-port command has been removed from client side.
mark bug as verified.

Note You need to log in before you can comment on or make changes to this bug.